from __future__ import annotations

from chemrecon import Mol


def is_hydrogen(mol: Mol) -> bool:
    """Return True iff all atoms in mol are hydrogen atoms."""
    # TODO move upstream
    for a in mol.mol.GetAtoms():
        if a.GetAtomicNum() != 1:
            return False
    return True
